package com.zswl.dataservicestarter.utils.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@Setter
@Getter
@AllArgsConstructor
@ResponseStatus(value = HttpStatus.INTERNAL_SERVER_ERROR) //, reason = ""
public class ServiceException extends RuntimeException{

	private static final long serialVersionUID = 552192089988571466L;

	private String message;

}
