package com.zswl.dataservicestarter.utils.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@Setter
@Getter
@AllArgsConstructor
@ResponseStatus(value = HttpStatus.UNAUTHORIZED) //, reason = ""
public class UnauthorizedException extends RuntimeException{

	private static final long serialVersionUID = 7227904251082562156L;

	private String message;

	public UnauthorizedException(){}

}
