package com.zswl.dataservicestarter;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

// @SpringBootApplication
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
@EnableAsync
@EnableCaching
@Configuration
@EnableWebMvc
public class DataServiceStarterApplication {

  public static void main(String[] args) {
    SpringApplication.run(DataServiceStarterApplication.class, args);
  }
}
