package com.zswl.dataservicestarter.config;

import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@Configuration
@Import(JpaDataConfiguration.class)
@EntityScan("com.zswl.dataservicestarter.domain")
@EnableJpaRepositories("com.zswl.dataservicestarter.dao")
public class JpaConfig {
}
